历史更新记录

标记说明：

+ 增加新功能。

# 新增加的功能，但还不完善，仅仅是开始。

- 删除旧的功能。

* 修正错误。

! 发现的问题，但仍未修正。

^ 计划要完成的功能。

2016.02.29 V1.1.0

* 代码括号匹配高亮修正对 Unicode 字符的支持。

* 代码格式化保留书签，并修正其他格式化问题。

* 行号栏未设置单击选定行时单击切换书签。

* 代码高亮与函数列表支持 sealed 与 abstract class。

* 列出组件增加列点击排序功能。

* 代码输入助手允许在 uses 区弹出编译指令。

* F2 标识符改名支持 Unicode 标识符。

* 冲突弹框提示改成允许下次不再提示。

* 其他错误修正和改进。

2015.12.12 V1.0.9

* 支持 RAD Studio 10 Seattle Update 1。

* 代码格式化增加根据 IDE 符号列表更改大小写的选项并修正其他问题。

* 行号栏增加显示标识符位置的功能，默认禁用。

* 行号区增加单击双击拖动行为的选项。

* 编辑器扩展增加关闭 RAD Studio 10 Seattle 下自带编辑器工具栏的菜单项。

* F2 修改变量名在 C++Builder 下支持 Cpp 与对应的 H 文件的修改范围。

* 引用单元清理优化资源占用并修正一处判断 initialization 区的问题。

* 源码模板专家增加 %UnitName% 宏。

* CnDebugViewer 增加显示字体的设置。

* 其他错误修正和改进。

2015.09.18 V1.0.8

+ 增加对 RAD Studio 10 Seattle 的支持。

* 代码格式化专家增加对旧式 Pascal 字符串的支持，修正一些对齐问题。

* 源码模板修正 Unicode 环境下插入模板时光标定位不准的问题。

* 工程备份自动保存并加载窗体大小与列表列宽。

* 开放编辑器右键菜单接口供脚本使用。

* 其它的错误修正和改进。

2015.08.15 V1.0.7

+ 增加代码格式化专家，目前只支持 Pascal 代码，默认热键 Ctrl+W。

+ 增加鼠标移动到编辑器纵向滚动条上时显示预览窗口的功能，默认禁用。

* 工程备份支持 FMX 的窗体文件，支持注释。

* 函数列表专家支持显示宽字符变量名。

* 函数列表工具栏修正 XE4 或以上版本无法拖动改变下拉框宽度的问题，点击下拉时自动选中当前函数。

* 引用单元清理增加处理间接引用单元的选项，修正保存的单元名可能包含回车换行的问题。

* 批量处理组件前缀时允许根据 Action 与 Field 名进行自动匹配处理。

* 代码编辑器专家更名为编码工具集。

* F2 改名中的标识符支持点号。

* 脚本专家增加对设计器窗体右键菜单的支持。增加一批例子。

* CnDebugViewer 允许多选复制，修正多线程启动时可能出错的问题。

* CnDebug 增加一批输出接口。

* 其它的错误修正和改进。

2015.04.08 V1.0.6

+ 增加对 RAD Studio XE 8 的支持。

* 编辑器专家的打开文件功能增加部分匹配文件名的功能。

* 编辑器扩展增加禁止光标超出行尾的选项，默认禁用。

* 代码嵌入增加 {(*} 与 {*)} 格式化忽略项。

* 窗体列表支持显示 FMX 窗体的标题。

* F2 修改标识符功能支持 C/C++ 文件。

* HTML 代码格式化输出增加对 UTF-8 编码的支持。

* 脚本专家修正 ToolsAPI 单元在各个版本 IDE 下的兼容性问题。

* 引用清理、组替换、代码输入助手等修正 Unicode 环境下存在中文注释时可能造成乱码或错位的问题。

* 其它的错误修正和改进。

2015.01.31 V1.0.5

* 支持 RAD Studio XE 7 Update 1。

* TabOrder 专家增加对 FMX 设计器的支持。

* 专家设置窗口支持重置单个专家的设置。

* 代码输入助手支持在 Uses 区输入点号弹出，允许自定义标识符自定义 Pascal 或 C/C++ 支持。

* 代码高亮增加光标下配对的条件编译指令的高亮显示。

* 版本扩展允许自定义插入的编译时刻格式。

* 窗口置顶与折叠专家修正标题栏按钮在Aero主题下的显示问题。

* 选择块浮动菜单项中增加删除注释的入口。

* 删除注释专家修正对 UTF8 处理可能乱码的问题。

* 前进后退扩展修正 IDE 工具栏锁定时显示可能不完全的问题。

* 主窗体扩展增加退出时延时改名 EditorLineEnds.ttr 文件以躲避 IDE 无法重复启动的 Bug。

* 其它的错误修正和改进。

2014.10.01 V1.0.4

+ 增加对 RAD Studio XE 7 的支持。

* 使用 DDetours 进行 Hook 以解决与其他专家包冲突的问题，但默认禁用。

* 源码模板增加 UnitPath 宏供输入当前 Unit 的所在路径。

* 代码高亮优化高亮当前标识符的性能。

* 代码高亮修正代码折叠时空行分隔线显示不正确的问题。

* 前进后退扩展修正 BDS 下启动后显示不完全的问题。

* 其它的错误修正和改进。

2014.08.15 V1.0.3

+ 增加对 RAD Studio XE 6 的支持。

* 代码高亮修正一处特殊字符以及局部变量包含record声明时解析错误的问题。

* 其它的错误修正和改进。

2014.01.01 V1.0.2

+ 增加对 RAD Studio XE 5 的支持。

+ 代码输入助手支持 C++Builder 5/6。

* 前进后退扩展支持 BDS 的工具栏跳转按钮。

* 引用单元清理修正一处末尾字符错乱的问题。

* BDS 下高亮当前标识符功能修正一处使用某些等宽字体时错位的问题。

* 其它的错误修正和改进。

2013.08.01 V1.0.1

+ 增加对 RAD Studio XE 4 的支持。

+ 代码高亮增加高亮流程控制语句的功能。

+ 代码高亮增加分隔线的线型设置对话框。

* 代码输入助手优化BDS下的性能，并部分优化XE2以上版本中对带点号的单元名的支持。

* 组件转换至代码增加对FMX的支持。

* 版本扩展修正XE/XE2/XE3下自动增加Build号失效的问题。

* 其它的错误修正和改进。

2012.12.21 V1.0.0

+ 增加对 RAD Studio XE 3 的支持。

+ 代码高亮增加在函数间的空行上绘制分隔线的功能，默认禁用。

+ 代码编辑器专家增加跳至前后标识符的功能，默认热键Ctrl+Alt+上下箭头。

* 窗体设计专家支持 FMX 设计器。

* 清理引用单元修正 XE2 Update1 后带来的dcu格式不兼容的问题。

* 优化对带点号的单元名的支持。

* 函数工具栏增加保存列表框宽度并恢复的机制。

* 函数列表增加对Pascal中模板类声明的支持。

* 专家设置窗口增加查找输入框以快速定位相关专家与编辑器。

* 支持XE2 Update 4，因兼容性原因不支持Update1/2/3。

* 其它的错误修正和改进。

2011.10.01 V0.9.9

+ 增加对 RAD Studio XE 2 的支持。

+ 增加 ImageList 的组件编辑器，支持 Alpha 通道与在线搜索图标。

* 代码高亮修正 Delphi 2009 以及以上版本中 Tab 键导致错位的问题。

* 编辑器扩展加入行首尾按左右键折行的功能，默认禁用。

* Delphi 2009 以及以上版的脚本引擎更新至最新版本。

* 浮动属性工具栏允许字符串属性调用字符串属性编辑器。

* 其它的错误修正和改进。

2011.06.06 V0.9.8

* 单元清理增加对D2011的兼容。

* 字符串属性编辑器增加对WideString类型的支持。

* 向导专家修正一处Unicode环境下生成内容末尾字符串不完整的问题。

* 代码高亮修正快捷键未保存的问题。

* 工程扩展修正D2011下可能无法定位工程输出目录的问题。

* 源码格式输出修正Delphi 2010/2011 下选择区包含汉字时带格式复制可能乱码的问题。

* 脚本专家增加部分新接口与例子。

* 其它的错误修正和改进。

2010.10.01 V0.9.7

+ 新增对 RAD Studio 2011 的支持。

* 修正代码中存在汉字时源码高亮与F2标识符更名功能可能错乱的问题。

* 脚本专家和批量文件替换专家增加对 RegExpr 的支持。

* 减少 BDS 下对 CPU 的占用率。

* 修正 Ascii Chart 的显示错误。

* 部分工具改用 D7 编译，避免杀毒软件误报病毒。

* 其它的错误修正和改进。

2010.05.01 V0.9.6

+ 新增源阅读专家。

+ 多语包增加俄语和德语支持，语言文件改用utf-8格式。

- 不再支持 Win98。

* 修正 Win7/Vista 下专家设置导入工具无法导入数据的问题。

* 工程备份功能中压缩包文件名增加相对路径的支持。

* 修正 CnDebugger 新开窗口会堵塞调用进程的问题。

* 其它的错误修正和改进。

2010.01.01 V0.9.5

* 高亮当前标识符增加前景色与边框色的设置。

* 引用单元清理修正对inline处理失败的问题。

* 增加将IDE设置为单核方式运行的选项。

* 修正BDS的嵌入式设计界面编辑器工具栏设置未保存的问题。

* 在BDS的嵌入式设计界面增加编辑器工具栏。

* 编辑器扩展修正复制并追加功能在D2010下导致乱码的问题。

* 其它的错误修正和改进。

2009.09.14 V0.9.4

+ 增加对 Delphi 2010 的支持。

+ 增加对 Vista/Windows 7 的支持。

+ 行号增加对 BDS 的支持。

+ 为 BDS 窗体设计界面增加工具栏。

* 输入助手增加在特定按键序列后弹出的机制。

* 窗体单元函数列表等搜索时增加对正则表达式的支持。

* 编辑器扩展修正函数头部begin后会自动输入多余end的问题。

* 源码统计修正一处菜单事件错误的问题。

* 代码高亮优化对C/C++文件的支持。

* CnDebugViewer修正一处退出时可能出错的问题。

* 其它的错误修正和改进。

2009.08.01 V0.9.3

+ 组件选择工具增加按事件过滤的功能。

* 更新日常升级检查模式，帮助中加入隐私保护的说明。

* 代码高亮增加配色方案的导入导出机制。

* 代码高亮优化对回车换行的处理，避免不正确的回车换行引发行绘制偏差。

* 代码高亮修正对当前嵌套子过程判断可能不正确的问题。

* 编辑器标签页修正Delphi 6/C++Builder 6下多行时不能改变高度的问题。

* 修正C++Builder中打开窗体时可能未打开对应Cpp文件的问题。

* MessageBox专家修正一处C++Builder下生成代码可能不正确的问题。

* 修正MSDN专家可能导致IDE关闭时AV的问题。

* 修正前缀专家在D2009下重命名不支持Unicode字符的问题。

* 修正设置Persistent Blocks时助手可能失效的问题。

* 其它的错误修正和改进。

2009.06.30 V0.9.2

+ 代码输入助手使用 IDE 的自动完成来模拟对 C++Builder 5/6 的支持。

+ 代码高亮与画线增加对 C++Builder 的支持。

+ 函数列表工具栏增加对 C++Builder 的支持。

+ 跳转至匹配关键字增加对 C++Builder 的支持。

+ 函数列表工具栏优化下拉与搜索模式。

+ 编辑器扩展增加 begin 后回车时自动输入 end 的功能。

+ 代码输入助手增加一忽略空格的选项。

+ TabOrder 专家增加对 BidiMode 的自动适应。

* 其它的错误修正和改进。

2009.04.04 V0.9.1

+ 代码高亮增加高亮当前行背景色的功能。

+ 编辑器扩展增加 F2 光标下标识符改名的功能。

+ 编辑器扩展增加输入分号移动至行尾的功能，默认禁用。

+ 删除注释专家增加对目录的处理，增加合并空行的选项。

+ 脚本专家增加对 Delphi 2009 的支持，增加部分示例。

+ 窗体设计专家增加 F2 修改选中组件名称的机制。

* 帮助文件优化图像减少体积。

* 专家包停靠窗体增加记忆大小与位置的机制。

* 批量替换与引用单元清理修正 Delphi 2009 下可能导致乱码的问题。

* Hint 属性编辑器增加对 Delphi 2009 下 CustomHint 的支持。

* 代码高亮优化对匿名方法的支持。

* 其它的错误修正和改进。

2008.12.09 V0.9.0

+ 代码编辑器专家增加跳至光标下匹配关键字的功能，默认热键“Ctrl+,”。

+ MessageBox 专家增加对 MessageDlg 函数的支持。

+ 函数过程列表增加对 C/C++ 的类的支持，以及其它更新。

* 清理引用单元增加对 Delphi 2009 的支持。

* 编辑器浮动工具按钮修补一处快捷键失效的问题。

* 浮动工具条躲开 Delphi 2009 下一处 VCL Bug 引发的失去响应的问题。

* 函数过程列表增加可拖动改变尺寸的机制。

* MSDN 专家修正不支持 MSDN Oct 2001 的问题。

* 源码模版中增加一表示当前方法名的宏。

* 代码高亮修正一处背景色改变后未立即更新的问题，调整对话框布局。

* 其它的错误修正和改进。

2008.11.01 V0.8.9

+ 增加对 Delphi 2009 的支持，只支持 12.0.3170.16989 及以上版本。部分功能暂时禁用。

+ 代码高亮增加当前光标处标识符背景色高亮的功能，默认禁用。

+ 增加函数列表编辑器工具栏，目前只支持 Pascal 文件。

+ 代码带格式输出增加对 C/C++ 文件的支持，允许指定编码。

* 组件前缀专家增加对Form等设计器改名的支持。

* 代码编辑扩展修正某些键盘布局下打开括号自动匹配时无法输入某些特殊字符的问题。

* 源码比较专家修正BDS下加载内存文件时不支持UTF8的问题。

* 转换为字符串功能允许忽略回车换行符。

* 函数过程列表优化 BDS 下的过滤速度。

* 脚本专家增加部分例子。

* 其它的错误修正和改进。

2008.08.08 V0.8.8

- 去除对 Delphi 8 的支持。

+ 代码高亮增加对 BDS/RAD Studio 的支持。

+ 代码高亮增加画线与匹配背景色高亮的功能。

+ 主窗体增加锁定工具栏的功能。

* 编辑器全屏增加对BDS的支持。

* 工程备份增加备份完毕后执行外部命令的选项。

* F3 修正未记忆搜索选项的问题，修复与Ctrl+E模式的冲突。

* 备份恢复工具增加对桌面设置文件dsk的处理，修复恢复可能丢失包设置的问题。

* 书签浏览修正关闭 dpk 时书签信息可能未保存的问题。

* 窗体单元列表修正工程组中工程文件同名时过滤区分有误的问题。

* 修复 BCB 下可能无法获得工程 CPP 文件的问题。

* 脚本专家增加部分例子。

* 其它的错误修正和改进。

2008.04.01 V0.8.3

+ 专家包增加源码模块关系分析工具。

+ 窗体设计专家增加列出组件的子功能。

* CnDebugViewer 增加窗体位置保存的选项。

* 脚本专家增加一批例子。

* 组件前缀专家修正组件名为类名时前缀与位置不对的问题。

* 引用单元清理修正处理整个工程时可能漏文件的问题。

* 浮动编辑按钮修正 BDS 下切换页面时按钮被禁用导致出错的问题。

* 浮动工具面板修正多显示器情况下跨显示器移动时有局限的问题。

* 编辑器扩展修正 Delphi 2007 的 SQL Window下多弹出不必要的右键菜单的问题。

* 代码输入助手修正标识符输出方式为左替换时按回车时替换模式错误的问题。

* 修正 BDS 下用 IDE 编辑器处理组件的字符串属性时可能出访问冲突的问题。

* 编辑器扩展修正 F3 查找时的一些不足。

* 其它的错误修正和改进。

2007.12.31 V0.8.2

+ 专家包增加对 RAD Studio 2007 的支持。

+ 专家包增加对 Windows Vista 的支持。

+ 专家包增加 Pascal Script 脚本支持。

+ 专家包增加 IDE 外部专家管理工具。

+ 专家包增加 IDE 封面窗口的显示标记。

+ 专家包增加独立的界面语言切换工具。

+ 源码高亮扩展增加代码结构高亮功能，只在 Delphi 5 6 7 中有效。

+ 工程扩展专家增加增强的引用单元对话框、插入 Frame 对话框和被引用单元列表。

+ 专家包增加版本信息扩展专家，只支持部分 IDE。

+ 编辑器专家增加跳至上、下一信息行工具与切换引用区工具。

+ 窗体设计专家增加组件代码转换工具。

+ 增加可由用户自定义编译专家源代码的工具 CnCustBuild。

* 输入助手增加对 BDS/RAD Studio 的支持，部分性能优化。

* 过程函数列表增加对 Pascal 的类、属性等的支持。

* 编辑器扩展增加自动保存、自动括号匹配和编辑器标签多行设置的功能，默认关闭。

* 专家包修正部分平台下多语乱码的问题。

* 修正专家包和TNT等控件冲突的问题。

* 组件面板增加设置成平面按钮风格的选项。

* 属性修改器增加对十六进制颜色值和对象属性的支持，改为支持多选。

* 组件前缀专家增强对继承窗体和粘贴组件的支持。

* 窗体设计专家增加 BDS 2006 下对设计期辅助线的切换功能。

* 文件管理器更改窗体布局和部分过滤器。

* 编辑器右键菜单中增加复制完整路径名文件名的功能。

* 工程备份功能增加对外部压缩程序的支持。

* 编辑器扩展增加自动输入匹配括号的功能，默认关闭。

* 切换注释工具增加移动到下一行的选项，默认关闭。

* 修正按 Alt+G 定位行号后键盘输入失效及其它按键冲突问题。

* FastCode 专家在检查到 DelphiSpeedUp 时自动禁用以避免冲突。

* 修正启动 BDS 2006 后自动缩进功能被禁用的问题。

* MessageBox 专家修正模板名重复的问题。

* 前缀专家修正重命名窗口中复制粘贴快捷键无效的问题。

* CnDebug 增加跨会话的支持与输出到文件的支持，增加部分记录方法和运行期显示对象信息的功能（需要定义SUPPORT_EVALUATE）。

* CnDebugViewer 效率改进，增加从文件读入、选项设置和对 OutputDebugString 的支持。

* 其它的错误修正和改进。

2006.10.01 V0.8.1

+ 专家包增加 FastCode IDE 优化专家。

+ 专家包增加 IDE 设置备份恢复工具。

+ 单元引用清理增加对 BDS 2005 2006 的支持。

+ 浮动工具面板增加对 BDS 2005 2006 的部分支持。

+ 编辑器工具栏增加对 BDS 2005 2006 的支持。

+ 专家包增加对 Update Pack 的版本检测提示。

+ 增加独立运行的 ASCII 字符表工具。

+ 组件面板增加查找组件的功能。

* 专家包更换部分图标。

* CnDebug 增加对 C++Builder 的支持。

* 组件选择器和排列不可视组件增加对 DataModule 的支持。

* 组件前缀专家增加根据 Action 名称和 DataField 属性值进行更名的功能。

* 带格式代码输出增加对 RTF 的支持。

* 修正 BCB 下打开窗体时 CPP 文件可能不可见的问题。

* 修正 BDS 下 HTML 复制时可能乱码的问题。

* 修正 CnDebugViewer 关闭时可能出访问冲突的问题。

* 修正 CnDebugViewer 载入 XML 记录文件时换行丢失的问题。

* 修正工程备份密码保存的问题，和以前不兼容。

* 修正排列不可视组件中误禁用了行列间距之一的问题。

* 修正代码全屏工具中主窗体尺寸改变时可能导致无法弹出的问题。

* 编辑器扩展中文件修改加星号的功能改用定时器检查以降低 CPU 占用。

* 其它的错误修正和改进。

2006.08.15 V0.8.0

+ 专家包增加对 BDS 2006 的支持。

+ 专家包增加 CnDebug / CnDebugViewer 调试信息工具。

+ 增加在过程内部和局部变量区域移动光标的初步功能，默认热键 Ctrl+Shift+V。

+ 编辑器专家增加插入日期时间工具。

+ 编辑器扩展增加 F3/Shift+F3 搜索选中文字的功能。

+ 文件管理器专家增加创建文件夹的功能。

* 单元引用清理修正不支持带多个句点的文件名的问题。

* IDE主窗体扩展增加右键 Tabs 菜单折叠的功能。

* 打开历史文件增加自动保存文件列表记录的功能。

* 源码统计修正对 bdsproj 与 dpk 的支持。

* 单元引用清理允许用户只处理当前打开的单元。

* 组件前缀专家修正修改组件名大小写失效及与某些输入法冲突的问题。

* 属性修改器修正字符串比较时误忽略了前后空格的问题。

* 过程列表修正排序处理问题等。

* MSDN 专家修正无法获取完整 MSDN 注册信息的错误。

* 安装程序不再包含图标目录，改用资源DLL代替。

* 输入助手按//时不再自动弹出，提高自动调频速度及其它改进。

* 其它的错误修正和改进。

2005.11.13 V0.7.9

+ 增加 IDE 增强设置专家，方便对 IDE 增强专家快速设置。

+ 工程扩展中增加工程备份功能。

+ 编辑器扩展增加自动缩进和 Home 扩展功能。

+ 组件面板及其它扩展升级为 IDE 主窗体扩展专家。

+ IDE 主窗体扩展专家增加将第三方工具菜单移到子菜单下的功能。

+ 增加将 CnPack 菜单集成到 Tools 下的设置。

+ 增加使用 IDE 的 -cnregXXXX 命令行参数来指定专家注册表基键的功能。

* 选择块按钮增加 Web 搜索功能。

* MSDN 专家增加对 MSDN 2005 的支持。

* 将高亮功能单独移为新的专家，修正括号高亮的小问题。

* 改进过程列表的性能，增加可选择多个其他文件的功能与对接口的支持。

* 组件前缀专家修正只修改组件名大小写不会生效的问题。

* 输入助手修正弹出热键不能保存及 D2005 下可能失效等问题，增加新的代码模板。

* 修正注释工具等执行后可能导致断点行变化的问题。

* 修正浮动属性编辑器用 Ctrl+Tab 切换窗口时出错的问题及其它改进。

* 解决 D7 等 IDE 下 CnPack 菜单项可能需要点击才能下拉的问题。

* 其它的错误修正和改进。

2005.08.31 V0.7.8

+ 增加引用单元清理工具（仅支持 D5/6/7）。

+ 从编辑器专家中分离出源码模板专家。

* 窗体设计专家增加按指定间距排列控件功能。

* 修正括号高亮匹配刷新不正确及影响块操作和撤消操作的问题。

* 浮动属性编辑条增加 Tab/Ctrl+Tab 支持及其它改进。

* 修正智能剪切后视图未刷新的问题。

* 函数过程列表增加显示时定位当前过程的功能。

* 配置导入导出工具修正用户目录不存在时出错的问题。

* 修正 C++Builder6 中当显示头文件时一些工具工作不正常的问题。

* 修正字符串属性编辑器可能覆盖系统编辑器的问题。

* 源码统计工具修正 C++Builder 下不支持头文件的问题。

* 输入助手增加函数参数提示功能。

* 组件前缀专家修正可能会弹出空列表窗口的问题。

* 修正MSDN专家可能导致退出IDE时异常的问题。

* IDE 历史清理工具增加对 D8/2005 的支持及其它改进。

* 修正其它已知错误。

2005.08.16 V0.7.7

+ 代码编辑器扩展增加括号匹配高亮功能。

+ 窗体设计器扩展增加浮动属性编辑条功能。

+ 编辑器专家增加插入颜色工具。

+ 编辑器专家增加收集面板工具。

* 书签浏览改成 IDE 可停靠窗口，支持自动刷新列表，增加删除书签功能。

* 修正输入助手可能会导致 IDE 代码模板失效的问题。

* 代码全屏切换允许在取消全屏时恢复为常规窗口。

* 调整属性编辑器注册内容，以减少兼容问题。

* 组件前缀工具修正对继承窗口会重复处理的问题。

* 在历史文件中打开工程改为创建新的工程组以及其它改进。

* 修正其它已知的问题及功能改进。

2005.07.18 V0.7.6

* MessageBox专家中增加判断文本是否变量名的功能。

* 增加Ctrl/Shift加右击标签弹出Shell菜单的功能。

* 清除临时文件增加对工程组的支持。

* 修正组件面板多行切换后代码全屏可能导致主窗体高度不对的问题。

* 输入助手修正在非英文键盘布局中会导致重音键失效的问题。

* 升级检测中使用最新版本时提示查看自动构建版。

* 输入助手允许修改部分预定义的列表，增加恢复默认列表功能。

2005.07.09 V0.7.5

+ 新增完整的英文 CHM 帮助文件。

+ 工程扩展工具增加工程目录创建器工具。

+ 选择块按钮新增组替换功能。

* 输入助手大量改进和错误修正，支持编译指示字、XML 和 JavaDoc 注释输入，支持自定义符号及模板等。

* 组件前缀专家大量改进，支持批量重命名模式等。

* 代码嵌入增加自定义功能和快捷键支持。

* 代码编辑器扩展增加智能复制粘贴功能。

* 属性修改器修正 BPL 搜索时打开 DCP 等文件失效的问题。

* 修正其它已知的问题及功能改进。

2005.05.29 V0.7.4

* 修改 CnWizards 的发布协议。

+ 增加控件名属性编辑器，使用前缀专家的功能。

* 组件前缀专家增加修改前缀时显示控件标题的功能及其它改进。

* 复制组件名称后自动切换到代码编辑器。

* 修正与 siLang 的冲突问题。

* 修正升级检查时因网络问题导致连接失败时出错的问题。

+ 增加少量英文帮助内容。

2005.04.03 V0.7.3

+ 增加对 Delphi8/BDS2005 的支持（测试阶段）。

+ 新增过程函数列表功能。

+ 代码编辑器专家增加缩进和反缩进俩小工具。

+ 增加繁体中文的CHM帮助文件，改进繁体语言的术语。

+ 新增 IDE 打开文件历史清理工具。

* 代码编辑器窗口全屏显示时增加 IDE 主窗体自动隐藏功能。

* 窗口置顶折叠专家增加折叠状态的保存与恢复功能。

* 窗体列表增加显示标题功能及其它改进。

* 代码输入助手增加关闭空格键输出和自动调整优先级的设置。

* 组件面板多行切换时增加代码编辑器和属性编辑器等自动适应高度的功能。

* 修正 Constraints 属性编辑器与 ThemeEngine 冲突的问题。

* 代码输入助手改进编辑大文件时的性能。

* 修正编辑器不使用斜体字时行号显示会错位的问题。

* 删除空行工具修正处理大文件时丢失代码的问题。

* 修正关于窗口在某些系统中打不开的问题。

* 修正可能导致 CodeRush 等其它工具注册的属性及组件编辑器失效的问题。

* 重新使用 IDE 快捷键注册方式，解决与 Ctrl+K+U 这类快捷键冲突的问题。

* 再次修正会导致 DelForEx 快捷键无法使用的问题。

* 修正行号跳转后编辑器未重画的问题。

* 修正其它已知的问题及功能改进。

2005.01.18 V0.7.2

+ 增加编辑器中有代码选中时提供浮动工具按钮的功能。

+ 增加在未保存的文件标签中加上 * 标志的功能。

+ 增加源代码编辑位置的前进、后退功能。

+ 新增反转注释功能，快捷键为 Ctrl+/。

* 大幅改善专家的启动速度。

* 大幅提高代码输入助手的性能，增加代码模板支持、自动调整优先级及其它改进。

* 提高多语言支持的兼容性，支持更多的操作系统，修改英文字体为 Tahoma。

* 改进属性编辑器注册方式，解决会覆盖第三方注册的特定属性编辑器的问题。

* 改进行号显示，增加更多的设置。

* 改进 INI 读写单元生成向导，支持 Boolean 类型。

* 单元、窗体列表增加图标显示功能，修正不支持单独打开的包文件的问题，以及其它改进。

* 改进快捷键处理方式，不再依赖于 IDE 提供的键盘绑定接口。

* 修正窗体设计专家控件间距调整功能存在的问题。

* 修正上一版本中系统目录源码只读保护失效的问题。

* 修正 D5 下打开包文件时关闭 IDE 会导致异常的问题。

* 修正其它已知的问题及功能改进。

2004.12.11 V0.7.1

* 浮动工具栏支持自定义多工具栏及其它改进。

* 修正多处内存泄漏及错误。

* 窗体设计专家增加控件锁定及其它控件位置及大小调整功能。

* 行号显示修正除零错，点击定义书签从1开始编号。

* 历史文件快照专家修正菜单项不能刷新的错误。

* 修正编辑器扩展中关闭其它页面时有未保存的文件会不断弹框的问题。

* 解决上一版本会导致 DelForEx 快捷键无法使用的问题。

2004.11.20 V0.7.0

+ 新增代码输入助手专家，提高代码输入速度，暂时只支持 Delphi5/6/7。

+ 新增窗口置顶及折叠专家。

+ 新增使用 CnMemProf 的 Repository 专家。

+ 代码编辑器扩展增加行号显示及书签操作功能。

+ 代码编辑器扩展增加系统单元打开时自动只读保护功能。

+ 代码编辑器扩展增加工具栏功能。

+ 编辑器专家增加删除空行工具。

+ 新增 Align 属性编辑器。

* 将历史文件快照独立为单独的专家。

* 属性修改器的规则列表中增加排序功能，增加处理所有打开窗体的功能。

* 修正与 CodeExpress 的冲突。

* 修正浮动工具面板允许拖动时不在最上定制面板的问题。

* 修正窗体设计器扩展导致 Report Machine 里的控件属性不能修改的问题。

* 自动更新检测改成每天检查一次。

* 大幅提高切换当前语种时的速度。

* 修正其它的已知错误和改进。

2004.06.08 V0.6.9

+ 工程扩展工具中新增打开历史文件工具和文件快照工具。

+ 关于中增加了“每日一帖”的功能。

+ 代码编辑器扩展专家中增加了代码自动完成的热键 Alt+Space，允许自定义热键。

* 优化了 MSDN 工具栏的排列与搜索方式；Pas2Html 专家增加对编译指令的处理。

* 修正大量错误和问题。

2004.01.19 V0.6.8

+ 新增移植自 Hhha 的文件管理器专家，能在 IDE 中模拟 Windows Explorer。

+ 新增 Repository 专家，包括 DUnit 测试用例和 INI 读写单元生成专家。

+ 工程扩展专家中增加清除临时文件工具。

+ 代码编辑器专家中新增注释与取消注释功能，新增 ASCII 字符表工具。

* 修改当自定义组件前缀中包含数字时导致新控件名混乱的问题。

* 专家启动设置增加 IDE 命令行参数 -nocn 和 -swcn 的处理。

* 修正 BCB 5 下通知器单元中潜在的访问冲突错误。

* 多语完善与改进，修正其他错误和问题。

2003.11.26 V0.6.7

+ [多语言版] 新增多语言支持，现支持简体、繁体中文及英文。

# [IDE 扩展] 新增 Object Inspector 扩展专家，实现非默认值属性粗体显示功能（暂时只支持 D5/BCB5）。

+ [MSDN 专家] 增加对 MSDN.NET 的支持及新增工具栏。

+ [辅助功能] 增加专家引导工具，可以在启动 IDE 时按下左 Shift 键来启动该工具，用于临时禁用/启动专家。

* [辅助功能] 增加带帮助的窗体用 F1 调出帮助的功能。

* [删除注释专家] 增加处理项目源文件的选项。

* [工程扩展专家] 修正窗体列表及单元列表导致编辑器失去光标的问题，以及其它的改进。

* [属性编辑器] 修正字符串属性编辑器全部替换可能死循环的错误及部分功能改进。

* [IDE 扩展] 修正按 F12 显示窗体时焦点在浮动面板上的问题。

* [IDE 扩展] 修正浮动面板导致 IDE 中其它窗体 Stay On Top 无效的问题。

* [IDE 扩展] 修正 Close All 可能导致异常的问题。

* [IDE 扩展] 修正当浮动工具条显示时 IDE Edit 中大部分菜单不可使用问题。

* [IDE 扩展] 修正组件面板扩展导致面板不接受鼠标滚轮事件的错误。

* [代码编辑器专家] 修正多个 IDE 同时退出时提示保存冲突的问题。

* [代码编辑器专家] 修正加入过程头时，对 Class methods 处理错误的问题。

* [源代码统计专家] 修正清空统计结果不完全的小错误。

* [属性修改器] 修正由于删除已经修改的控件，引起双击定位到该控件时触发异常的错误。

* [窗体设计专家] 修正不可视组件排列有时不能过滤掉 TField 等不可见组件的问题。

* [辅助功能] 修正部分对话框不能用 ESC 关闭的问题。

* [其它] 修正其它一些已发现的错误及部分专家的功能改进。

^ [开发计划] 另有资源管理专家、代码编辑器扩展、Explorer 专家、收藏夹专家、MMC 框架向导、DUnit 框架向导等正在开发中。

2003.08.10 V0.6.6

+ 新增移植自 Aimingoo 的 CPU 代码窗口扩展专家，允许从 CPU 窗口中复制汇编代码。

+ 新增高级设置，允许控制专家是否创建，错误报告中增加专家创建信息的报告。

+ 删除注释专家增加自定义注释保留功能，增加对// TODO :格式的todo列表的处理。

* 修正代码编辑器数据格式问题和专家光标定位不准确的问题。

* 修正 MSDN 专家释放导致失去响应的问题，完善和优化工程扩展专家。

* 增加部分函数、控件和代码，改进其他不足。

2003.07.13 V0.6.5

+ 新增注释删除专家，修改 IDE 功能扩展专家的设置方式。

+ 新增 CnPack 菜单排序功能。

+ 工程扩展工具新增挂接 IDE 功能，修改其他小问题。

+ 组件面板扩展专家增加多行设置的菜单项，修改其他小问题。

* 代码编辑器专家增加了%Cursor% 宏以代表插入后光标位置。

* TabOrder 专家不再显示控件内部的子控件的标签。

2003.06.10 V0.6.4

+ 工程扩展工具新增工程组单元、窗体列表功能。

* 修正组件面板多行显示时可能导致工具栏混乱的问题。

* 修正组件面板右键菜单切换面板没有切换显示内容的问题。

* 组件排列对齐功能增加同时处理不同父控件的功能，改进父居中功能。

* 修正不可视组件排列处理不能排除 TMenuItem 等组件的问题及标题处理错误。

* 修正属性修改专家有时候不能正常工作的问题。

* 新增加更完善的属性编辑器过滤内容。

* 其它的改进和错误修正。

2003.05.27 V0.6.3

# 新增工程扩展工具。

+ CnPack IDE 专家包新增设置信息导入导出工具。

+ 新增移植自 Hubdog 的属性修改器。

+ 新增组件面板增强功能，允许弹出 Tabs 菜单（D5/BCB5），允许组件面板页分多行显示。

+ 组件前缀专家中增加下划线选项。

+ 控件对齐缩放专家中改名为窗体设计专家，增加水平和垂直居中功能，增加不可视组件控制功能。

+ 属性编辑器增加属性过滤设置，可以自定义使用/不使用某个属性编辑器的属性名列表。

+ Tab Order 专家新增设置当前打开窗体、当前工程、工程组三个菜单项。

* 修正 Tab Order 专家按中心处理时可能导致的错误。

* 修正窗体浮动工具面板无法保存删除按钮的错误及不能自动隐藏的问题。

* 修正其他问题。

2003.05.04 V0.6.2

* 修正窗体浮动工具面板不支持 Frame 及不兼容 DataModule 的问题。

2003.05.03 V0.6.1

+ 新增组件对齐、缩放专家。

+ 新增窗体设计器扩展功能，在设计窗体上附加一个浮动工具栏，并可定制。

+ 帮助菜单中新增“历史更新记录”菜单项。

2003.05.01 V0.6.0

+ 新增代码编辑器扩展功能，允许双击代码页标签来关闭页面，并新增三个右键菜单项。

* 属性编辑器现在支持动态卸载了。

* 当禁用 Boolean 属性编辑器时，同时关闭集合编辑器在集合项中显示检查框的功能。

* MessageBox 设计器新增 Format 字符串支持，新增模板导入导出功能。

* 修正代码编辑器模板无法保存插入位置的错误。

* 修正使用 Alt+F12 切换窗体状态导致出错的错误。

* 修正组件前缀专家在窗体从文本重建时失效的问题。

* 修正组件前缀专家中，将前缀正确的组件复制到其它窗体时仍要求改名的错误。

* 修正开启 IDE 后马上关闭可能导致 IDE 死掉的问题。

* 修改关于菜单，增加多个子菜单项。

2003.04.27 V0.5.9

+ 新增组件前缀专家。

* 修正帮助文件链接错误。

2003.04.25 V0.5.8

* 修改代码编辑器模板数据文件，使用 XML 格式保存（不兼容原有数据）。

* 修改专家工具栏图标，使用 XP 风格，并共享同一个图像列表。

* 修正部分专家子 Action 不能正确更新的错误。

* 修正 Delphi 5 不安装升级包不能显示关于窗口的问题。

* 修正源代码比较专家显示小文件时使用滚轮导致异常的问题。

+ 增加目录选择对话框弹出时选择默认目录的功能。

* 修正组件选取专家切换 Tag 范围类型为“介于”时，第二个编辑框不能显示的错误。

* 修正由升级检测线程引起的开启 IDE 后马上关闭时可能会导致线程句柄无效的错误。

* 修改代码窗口全屏工具，默认关闭 IDE 启动后自动将代码窗口最大化的功能。

2003.04.12 V0.5.7

+ 新增错误报告及建议向导。

* 完成了 CHM 格式的帮助文件。

* 修正部分专家的少量错误。

2003.04.03 V0.5.6

* MessageBox 设计器少量改进。

* 修正源代码统计专家对 C 代码统计的错误，及其它改进和优化。

+ 新增 CHM 格式帮助文件。

+ 新增专家包辅助工具 DFM 窗体转换工具。

2003.03.30 V0.5.5

+ 新增源代码统计专家。

* 修正无法在设置中禁用TabOrder专家的错误。

* 修正在 IDE 工具栏中放置的专家工具重启 IDE 后无效的错误。

2003.03.25 V0.5.4

+ 新增安装程序

* 修正专家包少量错误

2003.03.23 V0.5.3

+ 新增代码转字符串编辑器工具。

* 修正属性编辑器中少量错误。

* 修正 Pas2Html 专家处理 "**)" 时陷入死循环及输出文本无换行符的问题。

2003.03.22 V0.5.2

+ 将原 CnPack 包中的属性编辑器移入专家包。

* 修正源代码比较专家部分错误。

2003.03.12 V0.5.1

+ 新增源代码比较专家（测试中）。

* MessageBox 专家增加 TopMost 设置。

* 修改编辑器专家默认模板文件名，这样升级后用户模板文件不会被覆盖。

* 修正其它已知错误。

2003.03.09 V0.5.0

+ 增加联网升级检测功能

+ Pas2Html专家增加处理所有打开单元的功能，修正文件必须存盘才能转换的问题。

2003.03.08 V0.4.7

* 修正 MSDN 专家和批量文件替换专家在没有打开工程时执行非法访问的 Bug。

* 编辑器专家打开文件工具对话框增加历史文件列表功能。

2003.03.06 V0.4.6

+ 新增批量文件替换专家

* 编辑器专家打开文件工具扩展了路径搜索范围，支持工程搜索路径等

* 编辑器代码窗口全屏工具增加设置功能，允许启动时将代码窗口最大化

2003.03.01 V0.4.5

* 修正 Pas2HTML 专家不支持文本输出的问题

2003.02.28 V0.4.4

* 修正 Pas2HTML 专家部分错误，新增图标

2003.02.27 V0.4.3

+ 子菜单专家新增工具条按钮支持

* 修正少量错误

2003.02.23 V0.4.2

+ 新增 Pas 代码 HTML 格式输出专家

2003.02.17 V0.4.1.Alpha

* 修正书签专家显示代码一处错误

* 修改编辑器模板文件格式，新增导入导出功能

* 修正其它的错误

2003.02.16 V0.4.0.Alpha

+ 新增 MSDN 专家

* 修正了由快捷键引起的随机错误

2002.12.11 V0.3.10.Alpha

+ 新增一个代码编辑器子工具：代码窗口全屏切换工具

* 修正代码编辑器少量错误

2002.12.10 V0.3.9.Alpha

* 修正书签浏览工具在Win98/Me下RichEdit闪烁的问题

+ 新增帮助文件调用接口

2002.12.08 V0.3.8.Alpha

* 调整部分专家的功能

+ 编辑器专家新增两个子工具

2002.12.05 V0.3.7.Alpha

+ 新增编辑器专家

2002.12.02 V0.3.6.Alpha

* 打开高版本窗体工具增加对二进制格式窗体的支持。

2002.11.24 V0.3.5.Alpha

* 书签浏览工具新增自动保存和装载书签功能。

2002.11.23 V0.3.4.Alpha

* 重写了Tab Order专家显示部分与IDE集成的代码，并做了较多优化

* 书签浏览工具新增书签行源代码高亮功能

2002.11.20 V0.3.3.Alpha

+ 新增书签浏览工具。

2002.11.17 V0.3.2.Alpha

+ 新增打开高版本窗体工具。

2002.10.31 V0.3.1.Alpha

* 增强TabOrder专家功能。

2002.10.17 V0.3.0.Alpha

+ 新增TabOrder专家。

2002.10.03 V0.2.0.Alpha

+ 新增组件选择专家。

2002.10.01 V0.1.1.Demo

+ 新增设置窗体和关于窗口。

2002.09.20 V0.1.0.Demo

+ 创建专家框架和第一个专家MessageBox专家

相关主题

有贡献人员名单

关于 IDE 专家包

(C)版权所有 2001-2016 CnPack 开发组